Bug 128125 - New port: finance/beanie Beanie is a fully-fledged accounting and payroll system
Summary: New port: finance/beanie Beanie is a fully-fledged accounting and payroll system
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Felippe de Meirelles Motta
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-15 19:30 UTC by Dermot Tynan
Modified: 2008-11-14 15:30 UTC (History)
0 users

See Also:


Attachments
file.shar (4.20 KB, text/plain)
2008-10-15 19:30 UTC, Dermot Tynan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dermot Tynan 2008-10-15 19:30:01 UTC
Beanie is a flexible, distributed accounting system for medium-sized
companies. It includes back-end batch processing as well as a
(skeleton) GTK GUI and provides automated purchases, sales, and
nominal ledgers as well as automated invoicing (via email). It also
supports VAT and payroll.
Comment 1 Felippe de Meirelles Motta freebsd_committer 2008-10-19 17:29:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lippe

I'll take it.
Comment 2 lippebsd 2008-10-26 00:58:52 UTC
Hi Dermot,

Your last patch is broken, can you have a look at this ?

http://tb4.droso.net/index.php?action=describe_port&id=2369
http://tb3.droso.net/index.php?action=describe_port&id=4390

Thank you!

-- 
lippe@FreeBSD.org
FreeBSD Ports Committer
Comment 3 Felippe de Meirelles Motta freebsd_committer 2008-10-26 00:59:12 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 4 Dermot Tynan 2008-11-10 14:26:45 UTC
Hi there.  The links enclosed in your response do not work.  Can you tell
me specifically what is wrong with the port?  Thanks.
        - Der
-- 
Dermot Tynan
dtynan@kalopa.com

Kalopa Research Limited
Comment 5 Thomas Abthorpe freebsd_committer 2008-11-11 19:07:30 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Dermot

I am helping Lippe out with this one

The Makefile requires a lib dedpenancy on textproc/expat2, and the pkg-plist 
needs a little cleaning up.

http://dev.goodking.ca/tb/index.php?action=describe_port&id=767


Thomas

- -- 
Thomas Abthorpe		| FreeBSD Committer
tabthorpe@FreeBSD.org	| http://people.freebsd.org/~tabthorpe
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.9 (FreeBSD)

iEYEARECAAYFAkkZ2AQACgkQ5Gm/jNBp8qBFeQCdFaDfAcV9kCfDTDOghK501izM
wr8AoIIMGeTpRnKfui2toLIHCe2qWLRt
=mbxT
-----END PGP SIGNATURE-----
Comment 6 Dermot Tynan 2008-11-12 10:53:43 UTC
On Tue, 11 Nov 2008 14:07:30 -0500, Thomas Abthorpe <tabthorpe@freebsd.org>
wrote:
> The Makefile requires a lib dedpenancy on textproc/expat2, and the
> pkg-plist needs a little cleaning up.

Hi there.  I'm enclosing the newest shar with the fixes included.  I've
also bumped the version to 0.8.2 as it fixes a few other bits and pieces as
well.  Let me know if you have any problems.
        - Der
-- 
Dermot Tynan
dtynan@kalopa.com

Kalopa Research Limited


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       beanie
#       beanie/Makefile
#       beanie/distinfo
#       beanie/pkg-descr
#       beanie/pkg-plist
#
echo c - beanie
mkdir -p beanie > /dev/null 2>&1
echo x - beanie/Makefile
sed 's/^X//' >beanie/Makefile << 'END-of-beanie/Makefile'
X# New ports collection makefile for:   beanie
X# Date created:                                15 October 2008
X# Whom:                                        Dermot Tynan
<dtynan@kalopa.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=      beanie
XPORTVERSION=   0.8.2
XCATEGORIES=    finance
XMASTER_SITES=  ${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=    beanie
X
XMAINTAINER=    dtynan@kalopa.com
XCOMMENT=       Beanie is a fully-fledged accounting and payroll system
X
XLIB_DEPENDS=   expat:${PORTSDIR}/textproc/expat2
XBUILD_DEPENDS= dbow:${PORTSDIR}/databases/dbow
X
Xpost-patch:
X       @${CP} ${WRKSRC}/beanie.mk.sample $(WRKSRC)/beanie.mk
X       @${CP} ${WRKSRC}/tmac/lhead.sample.r ${WRKSRC}/tmac/lhead.r
X
X.include <bsd.port.mk>
END-of-beanie/Makefile
echo x - beanie/distinfo
sed 's/^X//' >beanie/distinfo << 'END-of-beanie/distinfo'
XMD5 (beanie-0.8.2.tar.gz) = 85ff96c1e2db66092112442abf5ddf82
XSHA256 (beanie-0.8.2.tar.gz) =
7b381eb3ae37b3b1b607453a3b974b8fc2b38f4fb989185c00c21c8dfb636fab
XSIZE (beanie-0.8.2.tar.gz) = 191320
END-of-beanie/distinfo
echo x - beanie/pkg-descr
sed 's/^X//' >beanie/pkg-descr << 'END-of-beanie/pkg-descr'
XBeanie is a flexible, distributed accounting system for medium-sized
Xcompanies. It includes back-end batch processing as well as a
X(skeleton) GTK GUI and provides automated purchases, sales, and
Xnominal ledgers as well as automated invoicing (via email). It also
Xsupports VAT and payroll.
X
XThe latest version has considerable updates over the earlier releases
Xand isn't particularly backwards-compatible. The installation and
Xcompilation is streamlined and the multi-database schema has been
Xreduced to a single database per company. The gnome GUI is still
Xlacking, but the command-line interface now has support for automated
Xbank reconciliation (from online banking QIF files), payroll,
Xautomated billing and reminders, invoice PDF generation, statement
XPDF generation, and a general journal.
X
XWWW: http://beanie.sf.net/
X
X- Dermot Tynan
Xdtynan@kalopa.com
END-of-beanie/pkg-descr
echo x - beanie/pkg-plist
sed 's/^X//' >beanie/pkg-plist << 'END-of-beanie/pkg-plist'
Xbeanie/bin/acct.daily
Xbeanie/bin/acct.epilog
Xbeanie/bin/acct.monthly
Xbeanie/bin/acct.prolog
Xbeanie/bin/acct.weekly
Xbeanie/bin/acctview
Xbeanie/bin/arreport
Xbeanie/bin/bankdump
Xbeanie/bin/bankrecon
Xbeanie/bin/brcheck
Xbeanie/bin/brfix
Xbeanie/bin/charge
Xbeanie/bin/cheque
Xbeanie/bin/crnote
Xbeanie/bin/csvmake
Xbeanie/bin/customers
Xbeanie/bin/email
Xbeanie/bin/eoyupdate
Xbeanie/bin/export
Xbeanie/bin/fixvat
Xbeanie/bin/geninvoice
Xbeanie/bin/holidays
Xbeanie/bin/hours
Xbeanie/bin/import
Xbeanie/bin/jdelete
Xbeanie/bin/jdump
Xbeanie/bin/jfix
Xbeanie/bin/mkletter
Xbeanie/bin/mklists
Xbeanie/bin/newcompany
Xbeanie/bin/overnight
Xbeanie/bin/payment
Xbeanie/bin/payslip
Xbeanie/bin/postinvoice
Xbeanie/bin/prnomacct
Xbeanie/bin/products
Xbeanie/bin/qifread
Xbeanie/bin/remind
Xbeanie/bin/report
Xbeanie/bin/revrec
Xbeanie/bin/runcom
Xbeanie/bin/runhours
Xbeanie/bin/runorders
Xbeanie/bin/runpayroll
Xbeanie/bin/sendnews
Xbeanie/bin/sharecert
Xbeanie/bin/statement
Xbeanie/bin/vatreturn
Xbeanie/bin/vatrtd
Xbeanie/roff/ccpayment.tmac
Xbeanie/roff/crnote.tmac
Xbeanie/roff/faxcover.tmac
Xbeanie/roff/invoice.tmac
Xbeanie/roff/letter.tmac
Xbeanie/roff/lhead.tmac
Xbeanie/roff/minutes.tmac
Xbeanie/roff/payslip.tmac
Xbeanie/roff/porder.tmac
Xbeanie/roff/sharecert.tmac
Xbeanie/roff/statement.tmac
X@dirrm beanie
END-of-beanie/pkg-plist
exit
Comment 7 Thomas Abthorpe freebsd_committer 2008-11-12 15:06:36 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Dermot

Got your latest shar. Please visit 
http://dev.goodking.ca/tb/index.php?action=describe_port&id=767, there is 
still some plist issues that need to be tidied up.


Thomas

- -- 
Thomas Abthorpe		| FreeBSD Committer
tabthorpe@FreeBSD.org	| http://people.freebsd.org/~tabthorpe
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.9 (FreeBSD)

iEYEARECAAYFAkka8QQACgkQ5Gm/jNBp8qABuQCePRzvtdWjpFKtVUq2aIIWimHw
DU8An1UyGTWYmWzsGxKQplj1pAAFckxg
=KCd7
-----END PGP SIGNATURE-----
Comment 8 Dermot Tynan 2008-11-12 15:19:56 UTC
On Wed, 12 Nov 2008 10:06:36 -0500, Thomas Abthorpe <tabthorpe@freebsd.org>
wrote:
> Got your latest shar. Please visit
> http://dev.goodking.ca/tb/index.php?action=describe_port&id=767, there is
> still some plist issues that need to be tidied up.

Oops!  Sorry about that.  I thought 'dirrm' was recursive.  Here's the new
plist:
        - Der

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       pkg-plist
#
echo x - pkg-plist
sed 's/^X//' >pkg-plist << 'END-of-pkg-plist'
Xbeanie/bin/acct.daily
Xbeanie/bin/acct.epilog
Xbeanie/bin/acct.monthly
Xbeanie/bin/acct.prolog
Xbeanie/bin/acct.weekly
Xbeanie/bin/acctview
Xbeanie/bin/arreport
Xbeanie/bin/bankdump
Xbeanie/bin/bankrecon
Xbeanie/bin/brcheck
Xbeanie/bin/brfix
Xbeanie/bin/charge
Xbeanie/bin/cheque
Xbeanie/bin/crnote
Xbeanie/bin/csvmake
Xbeanie/bin/customers
Xbeanie/bin/email
Xbeanie/bin/eoyupdate
Xbeanie/bin/export
Xbeanie/bin/fixvat
Xbeanie/bin/geninvoice
Xbeanie/bin/holidays
Xbeanie/bin/hours
Xbeanie/bin/import
Xbeanie/bin/jdelete
Xbeanie/bin/jdump
Xbeanie/bin/jfix
Xbeanie/bin/mkletter
Xbeanie/bin/mklists
Xbeanie/bin/newcompany
Xbeanie/bin/overnight
Xbeanie/bin/payment
Xbeanie/bin/payslip
Xbeanie/bin/postinvoice
Xbeanie/bin/prnomacct
Xbeanie/bin/products
Xbeanie/bin/qifread
Xbeanie/bin/remind
Xbeanie/bin/report
Xbeanie/bin/revrec
Xbeanie/bin/runcom
Xbeanie/bin/runhours
Xbeanie/bin/runorders
Xbeanie/bin/runpayroll
Xbeanie/bin/sendnews
Xbeanie/bin/sharecert
Xbeanie/bin/statement
Xbeanie/bin/vatreturn
Xbeanie/bin/vatrtd
Xbeanie/roff/ccpayment.tmac
Xbeanie/roff/crnote.tmac
Xbeanie/roff/faxcover.tmac
Xbeanie/roff/invoice.tmac
Xbeanie/roff/letter.tmac
Xbeanie/roff/lhead.tmac
Xbeanie/roff/minutes.tmac
Xbeanie/roff/payslip.tmac
Xbeanie/roff/porder.tmac
Xbeanie/roff/sharecert.tmac
Xbeanie/roff/statement.tmac
X@dirrm beanie/bin
X@dirrm beanie/roff
X@dirrm beanie/tmp
X@dirrm beanie
END-of-pkg-plist
exit
Comment 9 dfilter service freebsd_committer 2008-11-14 15:23:50 UTC
tabthorpe    2008-11-14 15:23:37 UTC

  FreeBSD ports repository

  Modified files:
    finance              Makefile 
  Added files:
    finance/beanie       Makefile distinfo pkg-descr pkg-plist 
  Log:
  Beanie is a flexible, distributed accounting system for medium-sized
  companies. It includes back-end batch processing as well as a
  (skeleton) GTK GUI and provides automated purchases, sales, and
  nominal ledgers as well as automated invoicing (via email). It also
  supports VAT and payroll.
  
  The latest version has considerable updates over the earlier releases
  and isn't particularly backwards-compatible. The installation and
  compilation is streamlined and the multi-database schema has been
  reduced to a single database per company. The gnome GUI is still
  lacking, but the command-line interface now has support for automated
  bank reconciliation (from online banking QIF files), payroll,
  automated billing and reminders, invoice PDF generation, statement
  PDF generation, and a general journal.
  
  WWW: http://beanie.sf.net/
  
  - Dermot Tynan
  dtynan@kalopa.com
  
  PR:             ports/128125
  Submitted by:   Dermot Tynan <dtynan at kalopa.com>
  
  Revision  Changes    Path
  1.67      +1 -0      ports/finance/Makefile
  1.1       +23 -0     ports/finance/beanie/Makefile (new)
  1.1       +3 -0      ports/finance/beanie/distinfo (new)
  1.1       +19 -0     ports/finance/beanie/pkg-descr (new)
  1.1       +64 -0     ports/finance/beanie/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Thomas Abthorpe freebsd_committer 2008-11-14 15:26:00 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!